import { ReactNode } from "react";
export interface MenuPermission<T> {
    containsField?: LogicalCondition<T>;
}
export type Condition<T> = {
    key: Paths<T>;
    value: string;
};
export declare function evaluateCondition<T>(obj: T, condition: LogicalCondition<T>): boolean;
export type LogicalCondition<T> = {
    AND: Array<LogicalCondition<T> | Condition<T>>;
} | {
    OR: Array<LogicalCondition<T> | Condition<T>>;
} | Condition<T>;
export type Paths<T> = T extends object ? {
    [K in keyof T]: `${Exclude<K, symbol>}${"" | `.${Paths<T[K]>}`}`;
}[keyof T] : never;
export declare function getNestedProperty<T>(obj: T, path: Paths<T>): any;
export interface ProviderInterface extends PermissionsContextType {
    children?: ReactNode | undefined;
}
export interface PermissionsContextType {
    currentEnv: string;
    permissions: any | undefined;
}
